Bug 517291 - preupgrade F-10 to F-11 fails, anaconda fails
Summary: preupgrade F-10 to F-11 fails, anaconda fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Sivák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:62d720b1dd8be2993...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 12:18 UTC by zimon
Modified: 2010-02-23 19:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-23 19:19:23 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (151.83 KB, text/plain)
2009-08-13 12:18 UTC, zimon
no flags Details

Description zimon 2009-08-13 12:18:32 UTC
The following was filed automatically by anaconda:
anaconda 11.5.0.59 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/__init__.py", line 1514, in parseFSTab
    raise Exception("fstab entry %s is malformed: %s" % (devspec, e))
  File "/usr/lib/anaconda/storage/__init__.py", line 1107, in mountExistingSystem
    fsset.parseFSTab(chroot=rootPath)
  File "/usr/lib/anaconda/upgrade.py", line 243, in upgradeMountFilesystems
    allowDirty = 0)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 227, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/text.py", line 648, in run
    (step, instance) = anaconda.dispatch.currentStep()
  File "/usr/bin/anaconda", line 965, in <module>
    anaconda.intf.run(anaconda)
Exception: fstab entry toad:jlo is malformed: device must be a fully qualified path

Comment 1 zimon 2009-08-13 12:18:43 UTC
Created attachment 357308 [details]
Attached traceback automatically from anaconda.

Comment 2 zimon 2009-08-16 19:37:37 UTC
Removing network file systems from /etc/fstab got around this bug (?).
I had this kind of lines there, which after commented out let anaconda go beyond that point:
#toad:jlo                /mnt/toad_jlo            cifs    noauto,user=jlo 0 0

I have had those network filesystems manually added to fstab and working OK, until now.

After these were commented out, upgrade from F-10 system to F-11 succeeded. (although failing the GUI-mode as reported in the bug https://bugzilla.redhat.com/show_bug.cgi?id=218181)

Comment 3 Joel Andres Granados 2009-08-19 11:00:59 UTC
This should be fixed in current anaconda version 12.16,  And, its probably in 12.15 too.

Comment 4 Bug Zapper 2009-11-16 11:23:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.